Bug 506288 - 'mock --shell' fails if 'mock --init' isn't done first
'mock --shell' fails if 'mock --init' isn't done first
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 11:14 EDT by David Smith
Modified: 2013-01-10 00:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-17 21:22:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Smith 2009-06-16 11:14:20 EDT
Description of problem:

Try to use a mock shell on new configuration:

# mock -r fedora-9-i386 --shell
INFO: mock.py version 0.9.16 starting...
State Changed: init plugins
State Changed: start
State Changed: lock buildroot
ERROR: Command failed. See logs for output.
 # mount -n -t proc   mock_chroot_proc   /var/lib/mock/fedora-9-i386/root/proc

The problem appears to be that 'mock --init' must be done before 'mock --shell'.  In the above example, /var/lib/mock/fedora-9-i386 doesn't exist until the 'mock --init' is run.

At minimum, a better error message should be generated.

Version-Release number of selected component (if applicable):

mock-0.9.16-1.fc11

How reproducible:

Every time (until 'mock --init' has been run).
Comment 1 Clark Williams 2009-07-08 12:42:31 EDT
added code to raise runtime exception if --shell specified for uninitialized chroot. should go into next release (0.9.17)

Note You need to log in before you can comment on or make changes to this bug.